# Drawable.cpp File Reference

`#include <stdio.h>`
`#include <math.h>`
`#include <float.h>`
`#include <osg/Drawable>`
`#include <osg/State>`
`#include <osg/Notify>`
`#include <osg/Node>`
`#include <osg/GLExtensions>`
`#include <osg/Timer>`
`#include <osg/TriangleFunctor>`
`#include <algorithm>`
`#include <map>`
`#include <list>`
`#include <OpenThreads/ScopedLock>`
`#include <OpenThreads/Mutex>`

Include dependency graph for Drawable.cpp:

## Typedefs

typedef std::multimap< unsigned int, GLuint > | DisplayListMap
typedef std::map< unsigned int, DisplayListMap > | DeletedDisplayListCache
typedef buffered_value< ref_ptr< Drawable::Extensions > > | BufferedExtensions

## Variables

unsigned int | s_minimumNumberOfDisplayListsToRetainInCache = 0

## Typedef Documentation

typedef buffered_value< ref_ptr<Drawable::Extensions> > BufferedExtensions

typedef std::map<unsigned int,DisplayListMap> DeletedDisplayListCache

typedef std::multimap<unsigned int,GLuint> DisplayListMap

## Variable Documentation

unsigned int s_minimumNumberOfDisplayListsToRetainInCache = 0